
@import "_variable";

.container {
    max-width: 1180px;
    margin: 0 auto;
    padding: 0 10px;
}


.section-title {
    font-family: 'Montserrat', sans-serif;
    font-weight: 700;
    font-size: 48px;
    line-height: 50px;
    text-align: center;
    color: #FFFFFF;
    text-transform: uppercase;
}

.section-title--big {
    margin: 116px 0 35px 0;
    font-size: 54px;
    line-height: 54px;
    color: #635C73;
}

.editor-inroduction__text {
    margin: 0 auto 13px;
    font-family: 'Lato', sans-serif;
    font-weight: 300;
    font-size: 21px;
    line-height: 32px;
    text-align: center;
    color: $colorIntroText;
    width: 861px;
}


.git-bar {
    width: 356px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 11px;
    margin: 30px auto 81px;
}


.git-bar__button {
    height: 26px;
    display: flex;
    border: 1px solid #D5D5D5;
    border-radius: 5px;
    font-weight: 700;
    box-sizing: border-box;
    text-decoration: none;
    color: #000;
}

.button__main-part {
    padding: 0 11px 0 11px;
    background: linear-gradient(180deg, rgba(252,252,252,1) 0%, rgba(245,245,245,1) 50%, rgba(238,238,239,1) 100%);
    border-right: 1px solid #D5D5D5 ;
    display: flex;
    align-items: center;
    justify-content: center;

    & > svg {
        padding-right: 2px;
    }
}

.button__counter {
    display: flex;
    align-items: center;
    padding:  0 6px;
    font-size: 13px;
}

// 481-992 Разобраться с адаптивом

// @media (max-width: 992px) {

//     .container {
//         width: 992px;
//     }

//     .section-title--big {
//         font-size: 42px;
//         line-height: 42px;
//     }

//     .editor-inroduction__text {
//         width: 689px;
//     }
// }




@media (max-width: 992px) {
    .container {
        max-width: 728px;
    }

    .section-title--big {
        max-width: 598px;
        font-size: 42px;
        line-height: 42px;
        margin: 116px auto 33px;
    }

    .editor-inroduction__text {
        width: 90%;
    }
}

@media (max-width: 480px) {
    // .container {
    //     width: 300px;
    // }

    .section-title--big {
        width: 300px;
        line-height: 28px;
        font-size: 26px;
    }

    .editor-inroduction__text {
        width: 276px;
        font-size: 14px;
        line-height: 20px;
    }

    .git-bar {
        width: 270px;
        flex-wrap: wrap;
        gap: 20px;
        margin: 0 auto 88px;
    }

    .git-bar__button:nth-child(3) {
        margin-top: 50px;
        margin: 0 auto;
    }


}